Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class DocumentType

    java.lang.Object
      org.exist.soap.DocumentType

All Implemented Interfaces:
  java.io.Serializable

public class DocumentType
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_BinaryResource`
`static java.lang.String` | `_XMLResource`
`static DocumentType` | `BinaryResource`
`static DocumentType` | `XMLResource`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static DocumentType` | `fromString(java.lang.String value)`
`static DocumentType` | `fromValue(java.lang.String value)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`java.lang.Object` | `readResolve()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _XMLResource

    public static final java.lang.String _XMLResource

See Also:
  Constant Field Values

### _BinaryResource

    public static final java.lang.String _BinaryResource

See Also:
  Constant Field Values

### XMLResource

    public static final DocumentType XMLResource

### BinaryResource

    public static final DocumentType BinaryResource

Method Detail

### getValue

    public java.lang.String getValue()

### fromValue

    public static DocumentType fromValue(java.lang.String value)
                                  throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### fromString

    public static DocumentType fromString(java.lang.String value)
                                   throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.